如何安装Brother HL2270dw激光打印机?


Answers:


37
  1. 打开一个终端:Ctrl+ Alt+T
  2. 下载驱动程序安装脚本:

    wget http://download.brother.com/welcome/dlf006893/linux-brprinter-installer-2.0.0-1.gz
    
  3. 解压缩:

    gunzip linux-brprinter-installer-2.0.0-1.gz
    
  4. 以root身份运行:

    sudo bash linux-brprinter-installer-2.0.0-1
    
  5. 输入HL2270-DW“型号名称”,然后y继续

  6. 当被问到“您将指定DeviceURI吗?” 对于USB连接,选择“否”,对于网络连接,选择“是”。

1
我在64位Ubuntu 14.04上进行了测试,效果很好。
Jim Hurne 2014年

该答案中的说明有效,并且与Brother网站上的说明一致,但是如果Brother从其末尾更新脚本,则版本号可能会更改。
Dale Anderson

5
这对我来说不太有效。到达以下位置该select the number of destination Device URI怎么办?
2015年

嗯,您可以在2秒钟内按3次“开始”按钮以打印出您的设置。如果您需要IP地址。
mimoralea

谢谢您,这使我在Ubuntu 16上得救。不知道为什么OP不接受此功能。
Neuronet

1

我知道很多人在使该打印机与ubuntu和mint一起使用时遇到重大问题,所以我认为我会通过,因为它非常轻松。我在ubuntu论坛的某个地方(我确切地忘记了)中找到了附带的脚本(按照说明进行操作),该脚本在Ubuntu 12.04和Mint Cinnamon 13(64位版本)上都对我有用。只要打印机已经在您的网络上(我通过Windows 7分区安装了我的打印机),它就可以工作。只需将下面的代码示例复制并粘贴到一个空的文本文档中,然后将其另存为PrinterInstall.sh即可。然后使用以下命令从终端运行该应用程序:

sudo ./PrinterInstall

它可能会告诉您您需要bsdtar运行该脚本,只需使用以下命令进行安装:

sudo apt-get install bsdtar

然后./PrinterInstall再次运行。

终端将询问您init.d目录在哪里-只需在文件浏览器中检查选择以确认一个或另一个即可。

接下来,打开打印机并在终端上运行以下命令:

system-config-printer

当配置GUI打开时,右键单击打印机,然后选择“属性”。在设备URI下,单击“更改”->网络打印机->选择“第一兄弟”选项->应用

而已!

脚本代码如下:


#!/bin/bash
# Brother HL-2270DW printer install tested on arch and ubuntu 12.04
# https://bbs.archlinux.org/viewtopic.php?id=109570
# https://bugs.gentoo.org/show_bug.cgi?id=285166#c12
# http://github.com/willejos/bash

[[ $UID -ne 0 ]] && echo "Must run as root" && exit 1

which bsdtar > /dev/null
if [ $? == 1 ]; then
  echo "you need to install bsdtar before running this script"
  exit 1;
fi

which perl > /dev/null
if [ $? == 1 ]; then
  echo "you need to install perl before running this script"
  exit 1;
fi

echo -e "\nMake sure cups is running before proceeding...\n"
read -p "Hit any button to continue." -n 1

echo -e "\n\nWhere's your init script directory?"
echo -e "1. /etc/init.d/\n2. /etc/rc.d/"
read -p "(Select 1 or 2): " INIT_DIR
while [[ $INIT_DIR != 1 && $INIT_DIR != 2 ]]; do
  read -p "Where's your init script directory? (choose 1 or 2): " INIT_DIR
done

START_DIR=$(pwd)
mkdir br_tmp && cd br_tmp
wget http://www.brother.com/pub/bsc/linux/dlf/hl2270dwlpr-2.1.0-1.i386.rpm
wget http://www.brother.com/pub/bsc/linux/dlf/cupswrapperHL2270DW-2.0.4-2.i386.rpm

if [[ ! -f hl2270dwlpr-2.1.0-1.i386.rpm || ! -f cupswrapperHL2270DW-2.0.4-2.i386.rpm ]]; then
  echo -e "One or both files not found: \n  hl2270dwlpr-2.1.0-1.i386.rpm \n  cupswrapperHL2270DW-2.0.4-2.i386.rpm \n\n Was there a problem with the download?"
  exit 1;
fi

# extract and check directories exist
bsdtar -xf hl2270dwlpr-2.1.0-1.i386.rpm
bsdtar -xf cupswrapperHL2270DW-2.0.4-2.i386.rpm
HL_DIR=""$START_DIR"/br_tmp/usr/local/Brother/Printer/HL2270DW/inf/"
CUPS_DIR=""$START_DIR"/br_tmp/usr/local/Brother/Printer/HL2270DW/cupswrapper/"
if [[ ! -d "$HL_DIR" || ! -d "$CUPS_DIR" ]]; then
  echo "rpm extraction failed"
  exit 1
fi

# in-place edit files
cd "$HL_DIR"
perl -pi -e 's/printcap.local/printcap/g' setupPrintcap2
if [ "$INIT_DIR" == "2" ]; then
  cd "$CUPS_DIR"
  perl -pi -e 's/init.d/rc.d/g' cupswrapperHL2270DW-2.0.4
fi

# copy files to system and install cupswrapper
cd "$START_DIR"/br_tmp/
cp -ri usr/* /usr/
cp -ri var/* /var/
cd ../ && rm -rf br_tmp

echo -e "If I hang here, be patient....\n"
/usr/local/Brother/Printer/HL2270DW/cupswrapper/cupswrapperHL2270DW-2.0.4 || exit 1

echo -e "\nNext steps: "
echo "Make sure printer shows up in cups config @ http://127.0.0.1:631"
echo "Edit /etc/cups/printers.conf and change the DeviceURI from ‘usb:xxxxx’ to ‘file:///dev/usb/lp0′ (or usb/lp1 or whatever exists, no quotes)."
echo -e "Restart cups\n"

不知道为什么,但是按照您的指示我仍然会收到此消息。'正在处理-无法找到打印机“ BrotherWireless”。我安装了13.10
ZeroDivide,2013年

1

我有一篇博客文章,介绍如何在Ubuntu 12.04 64位中安装打印机以进行无线wifi打印。请注意,我的版本是特定的,仅针对64位版本的Ubuntu进行了测试。Brother不为HL-2270DW驱动程序提供64位驱动程序,但我已对这些驱动程序进行了修补,以使其能够与64位版本一起使用。已打补丁的驱动程序可以访问打印机的所有功能。链接为http://chadchenault.blogspot.com/2012/05/brother-hl-2270dw-printer-driver.html

脚步:

1.从上面的链接下载修补的驱动程序以使用64位ubuntu。您也可以使用Brother网站上的命令行和说明自行打补丁。
2.打开一个终端窗口“ ctrl + alt + t”
3.切换到下载文件的目录
。4.从终端窗口输入以下两个命令。

sudo dpkg -i --force-all hl2270dwlpr-2.1.0-1a.i386.deb<code>  
sudo dpkg -i --force-all cupswrapperHL2270DW-2.0.4-2a.i386.deb<code>

USB打印现在应该可以工作了。如果要配置wifi或以太网打印,则需要配置CUPS。我的博客上有图片说明。


3
虽然从理论上讲这可以回答问题,但最好在此处包括答案的基本部分,并提供链接以供参考。
hhlp

1

埃里克·卡瓦略(Eric Carvalho)的回答很好,只有一个限定词:下载位置对我不起作用。看起来Brother可能重新整理了他们的下载内容。我的第一步是从Brother支持网站开始手动下载:

-转到brother.com(对我来说,这将重定向到brother-usa.com)-单击支持-在型号中输入HL-2270DW,然后单击搜索-在下载和驱动程序中,单击“下载”从我们的解决方案中心”-选择操作系统(linux)和版本(deb)–单击驱动程序安装工具-接受许可协议

这是一个很小的文件,因此下载时间不会很长。

现在解压缩并按照Carvalho先生的指示运行脚本。为我完美地工作。


1

它的等着你specify the Device URI?,并提供让你从它知道打印机的11点的方式可以进行连接。它认为您会想要选择11 (A): Auto. (usb://dev/usblp0),因此它已经预先填写了该字段,并在等待您点击Enter以接受选择11,或者指定自己的选择,然后按Enter。如果您的打印机通过USB连接,11 (A): Auto. (usb://dev/usblp0)则是您需要的选择。


0

这是我在14.04(64位)下的安装说明。我不知道所有这些步骤都是必需的。我将其安装为网络打印机。

我已经从Brother运行了一个脚本:linux-brprinter-installer-2.0.0-1

在下载的文件中:support.brother.com的linux-brprinter-installer-2.0.0-1.gz。这似乎可以成功运行并安装各种软件包。

我在他们的网站上又下载了两个文件:

  • 杯子包装器HL2270DW-2.0.4-2a.i386.deb

  • hl2270dwlpr-2.1.0-1a.i386.deb

我使用了突触来查看它们是否已被上述脚本安装。

cupswrapperHL2270DW-2.0.4-2显示为已安装。

使用软件中心来安装“ a”版本和hl2270 * a.i386.deb软件包。

尽管软件中心警告说它“质量很差”,但我还是安装了它。

重新启动计算机并关闭/打开打印机。

使用的系统设置>打印机>添加打印机>网络打印机

单击查找按钮(主机为空白)将拉起两台Brother HL-2270DW,其中一个具有IP地址。

对于此描述,说明说通过DNS-SD的AppSocket / JetDirect网络打印机

另一个说带有主机BRW008092BA5199和Queue Binary_P1的LPD网络打印机

我正在尝试使用IP地址。现在在打印机驱动程序下,我有CU-2的HL-2270DW,而我以前没有。

选择这个。测试页有效。


0

这些说明适用于Kubuntu和Linux Mint 17.1。

获取包brgenml1lpr-3.1.0-1.i386.debbrgenml1cupswrapper-3.1.0-1.i386.debhttp://support.brother.com/g/b/downloadlist.aspx?c=us&lang=en&prod=hl2270dw_all&os=128

sudo apt-get install apparmor-profiles lib32z1
sudo dpkg -i ~/packages/brother_printer/brgenml1lpr-3.1.0-1.i386.deb 
sudo dpkg -i ~/packages/brother_printer/brgenml1cupswrapper-3.1.0-1.i386.deb 

现在,使用KDE或Mint / Gnome打印机配置窗口删除不存在的自动安装的USB打印机,然后使用BrGenML1驱动程序安装HL-2270DW。

应该自动检测打印机。如果没有,请尝试使用下面列出的URI。

设置双面打印DuplexNoTumble在页面的两面上打印,长边翻转

URI:lpd://(打印机的IP地址)/ binary_p1


0

我尝试了这篇文章开头的说明,但是当我走到结尾时,即当被问到“您将指定DeviceURI吗?”时,对于USB连接,选择“否”,对于网络连接,选择“是”。我得到了11个可供选择的URI列表,对于新来的Ubuntu用户,这些列表对我来说都没有任何意义。见下文:

Will you specify the Device URI? [Y/n] ->Y

0: socket
1: http
2: ipp
3: https
4: ipps
5: lpd
6: ipp14
7: hp
8: hpfax
9: smb
10 (I): Specify IP address.
11 (A): Auto. (usb://dev/usblp0)

select the number of destination Device URI. ->11

这些指示似乎在中途结束,因此我无法继续。

鲍勃·汤姆森渥太华加拿大

By using our site, you acknowledge that you have read and understand our Cookie Policy and Privacy Policy.
Licensed under cc by-sa 3.0 with attribution required.